Beta

List Room File Permissions

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
GET
/v1/room-files/{room_file_id}/permissions

Lists explicit user grants for a restricted Room File.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

room_file_id*string

Stable Room File attachment ID.

Match^rfl_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

after?string

Opaque Room File permission cursor from a previous page.

Formatuuid
limit?integer
Range1 <= value <= 100
Default20

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid

Response Body

Successful authorized response.

application/json
  1. response
permissions*array<>
has_more*smb_v0_operations_create_list_request.__local.properties.body.__schema16
next_cursor*|
Formatuuid
request_id*string
curl -X GET 'https://example.com/v1/room-files/string/permissions' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "permissions": [    {      "permission_id": "2793a5a1-5444-40bb-8094-97de834ce9e4",      "room_file_id": "string",      "user_id": "string",      "email": "user@example.com",      "access_level": "view",      "status": "active",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b",  "request_id": "string"}